Subject: Re: [PATCH 10/39] mv643xx_eth: clarify irq masking and unmasking

From: Dale Farnsworth <[email-masked]>
Date: Thu, 5 Jun 2008 14:22:49 -0700

On Thu, Jun 05, 2008 at 10:36:05PM +0200, Lennert Buytenhek wrote:
> On Thu, Jun 05, 2008 at 04:44:06AM -0700, Dale Farnsworth wrote:
> 
> > > diff --git a/drivers/net/mv643xx_eth.c b/drivers/net/mv643xx_eth.c
> > > index bdb03f3..ffdd3fc 100644
> > > --- a/drivers/net/mv643xx_eth.c
> > > +++ b/drivers/net/mv643xx_eth.c
> > > @@ -97,7 +97,14 @@ static char mv643xx_driver_version[] = "1.0";
> > >  #define TXQ_COMMAND(p)			(0x0448 + ((p) << 10))
> > >  #define TX_BW_MTU(p)			(0x0458 + ((p) << 10))
> > >  #define INT_CAUSE(p)			(0x0460 + ((p) << 10))
> > > +#define  INT_RX				0x00000804
> > > +#define  INT_EXT			0x00000002
> > >  #define INT_CAUSE_EXT(p)		(0x0464 + ((p) << 10))
> > > +#define  INT_EXT_LINK			0x00100000
> > > +#define  INT_EXT_PHY			0x00010000
> > > +#define  INT_EXT_TX_ERROR_0		0x00000100
> > > +#define  INT_EXT_TX_0			0x00000001
> > > +#define  INT_EXT_TX			0x00000101
> > 
> > Oops, I missed this the first time.  You have an extra space in each
> > of the above added defines.
> 
> Right, that's because they are possible values of that register,
> instead of the definition of a new register.  A couple of existing
> drivers follow this format (e.g. look at b44.h or tg3.h), and I kind
> of like it, because it groups things logically together.

Yes, it makes sense.  I think I'd use at least a couple of
spaces of indent though.  But, I'm fine with it either way.

Thanks,
-Dale